{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "EXE_CLOTURE"; 
            externalType = DATE; 
            name = exeCloture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "EXE_EXERCICE"; 
            externalType = NUMBER; 
            name = exeExercice; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "EXE_INVENTAIRE"; 
            externalType = DATE; 
            name = exeInventaire; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "EXE_OUVERTURE"; 
            externalType = DATE; 
            name = exeOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "EXE_STAT"; 
            externalType = VARCHAR2; 
            name = exeStat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_ENG"; 
            externalType = VARCHAR2; 
            name = exeStatEng; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_FAC"; 
            externalType = VARCHAR2; 
            name = exeStatFac; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_LIQ"; 
            externalType = VARCHAR2; 
            name = exeStatLiq; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "EXE_STAT_REC"; 
            externalType = VARCHAR2; 
            name = exeStatRec; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "EXE_TYPE"; 
            externalType = VARCHAR2; 
            name = exeType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        exeCloture, 
        exeExercice, 
        exeInventaire, 
        exeOrdre, 
        exeOuverture, 
        exeStat, 
        exeStatEng, 
        exeStatFac, 
        exeStatLiq, 
        exeStatRec, 
        exeType
    ); 
    className = "org.cocktail.fwkcktlgfceos.server.metier.EOExercice"; 
    classProperties = (
        exeCloture, 
        exeExercice, 
        exeInventaire, 
        exeOuverture, 
        exeStat, 
        exeStatEng, 
        exeStatFac, 
        exeStatLiq, 
        exeStatRec, 
        exeType, 
        fwkJefyAdminOrganExercices, 
        typeCredits
    ); 
    externalName = "GFC.ADM_EXERCICE"; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.fwkcktlgfceos.server.metier.EOExercice"; 
    }; 
    name = "FwkGFCEos_Exercice"; 
    primaryKeyAttributes = (exeOrdre); 
    relationships = (
        {
            destination = "FwkGFCEos_EbExercice"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = fwkJefyAdminOrganExercices; 
        }, 
        {
            destination = "FwkGFCEos_TypeCredit"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = typeCredits; 
        }
    ); 
}
